diff --git a/gcc/analyzer/region-model.h b/gcc/analyzer/region-model.h
index e5d04b47e0d..f75625fbe48 100644
--- a/gcc/analyzer/region-model.h
+++ b/gcc/analyzer/region-model.h
@@ -18,8 +18,8 @@ You should have received a copy of the GNU General Public License
 along with GCC; see the file COPYING3.  If not see
 <http://www.gnu.org/licenses/>.  */
 
-#ifndef GCC_ANALYZER_REGION_MODEL_2_H
-#define GCC_ANALYZER_REGION_MODEL_2_H
+#ifndef GCC_ANALYZER_REGION_MODEL_H
+#define GCC_ANALYZER_REGION_MODEL_H
 
 #include "analyzer/uniq-manager.h" // FIXME
 #include "analyzer/store.h" // FIXME
@@ -39,7 +39,7 @@ along with GCC; see the file COPYING3.  If not see
    - no region_id or svalue_id, just pointers.
    - regions are shared throughout the analysis, via a region_manager.
    - should svalues also be shared?  Probably
-   - regions and values don't have state; region_model2 instances do
+   - regions and values don't have state; region_model instances do
      (though potentially we want to use the regions to store information
      about the shared region structure e.g. subregions of map_region)
    - no canonicalization or ID remapping should be needed
@@ -48,10 +48,10 @@ along with GCC; see the file COPYING3.  If not see
      uniquifying?)
    - not yet sure if we need validation
    - the concept of what the "current stack" is needs to move from the
-     regions to the region_model2 (maybe a region *m_current_frame)
+     regions to the region_model (maybe a region *m_current_frame)
    - do we still need region cloning?
    - should there still be a root_region?  or should those things go in the
-     ext_state (or something owned by ext_state: region_model2_manager)
+     ext_state (or something owned by ext_state: region_model_manager)
    Hopefully this is a huge simplification, and (I hope) avoids lots of heap
    churn as states are copied.
 
@@ -95,19 +95,19 @@ struct member_function_hash_traits : public typed_noop_remove<Type>
   static inline bool is_empty (Type t) { return t.is_empty (); }
 };
 
-/* A region_model2 is effectively a graph of regions and symbolic values.
+/* A region_model is effectively a graph of regions and symbolic values.
    FIXME: we're eliminating IDs in this prototype.
    We store per-model IDs rather than pointers to make it easier to clone
    and to compare graphs.  */
 
-/* Various operations delete information from a region_model2.
+/* Various operations delete information from a region_model.
 
    This struct tracks how many of each kind of entity were purged (e.g.
    for selftests, and for debugging).  */
 
-struct purge_stats2
+struct purge_stats
 {
-  purge_stats2 ()
+  purge_stats ()
   : m_num_svalues (0),
     m_num_regions (0),
     m_num_equiv_classes (0),
@@ -122,7 +122,7 @@ struct purge_stats2
   int m_num_client_items;
 };
 
-/* A measurement of the complexity of an svalue2 or region2, so that
+/* A measurement of the complexity of an svalue or region, so that
    we can avoid these tree-like structures growing without bounds and
    thus leading to infinite chains of analysis.  */
 
@@ -132,11 +132,11 @@ struct complexity
   : m_num_nodes (num_nodes), m_max_depth (max_depth)
   {}
 
-  complexity (const region2 *reg);
-  complexity (const svalue2 *sval);
-  static complexity from_pair (const complexity &c1, const complexity &c2);
+  complexity (const region *reg);
+  complexity (const svalue *sval);
+  static complexity from_pair (const complexity &c1, const complexity &c);
 
-  /* The total number of svalue2s and region2s in the tree of this
+  /* The total number of svalues and regions in the tree of this
      entity, including the entity itself.  */
   unsigned m_num_nodes;
 
@@ -148,22 +148,22 @@ struct complexity
 class visitor
 {
 public:
-  virtual void visit_region_svalue2 (const region_svalue2 *) {}
-  virtual void visit_constant_svalue2 (const constant_svalue2 *) {}
-  virtual void visit_unknown_svalue2 (const unknown_svalue2 *) {}
-  virtual void visit_poisoned_svalue2 (const poisoned_svalue2 *) {}
-  virtual void visit_setjmp_svalue2 (const setjmp_svalue2 *) {}
-  virtual void visit_initial_svalue2 (const initial_svalue2 *) {}
-  virtual void visit_unaryop_svalue2 (const unaryop_svalue2 *) {}
-  virtual void visit_binop_svalue2 (const binop_svalue2 *) {}
-  virtual void visit_sub_svalue2 (const sub_svalue2 *) {}
-  virtual void visit_unmergeable_svalue2 (const unmergeable_svalue2 *) {}
-  virtual void visit_placeholder_svalue2 (const placeholder_svalue2 *) {}
-  virtual void visit_widening_svalue2 (const widening_svalue2 *) {}
-  virtual void visit_compound_svalue2 (const compound_svalue2 *) {}
-  virtual void visit_conjured_svalue2 (const conjured_svalue2 *) {}
-
-  virtual void visit_region (const region2 *) {}
+  virtual void visit_region_svalue (const region_svalue *) {}
+  virtual void visit_constant_svalue (const constant_svalue *) {}
+  virtual void visit_unknown_svalue (const unknown_svalue *) {}
+  virtual void visit_poisoned_svalue (const poisoned_svalue *) {}
+  virtual void visit_setjmp_svalue (const setjmp_svalue *) {}
+  virtual void visit_initial_svalue (const initial_svalue *) {}
+  virtual void visit_unaryop_svalue (const unaryop_svalue *) {}
+  virtual void visit_binop_svalue (const binop_svalue *) {}
+  virtual void visit_sub_svalue (const sub_svalue *) {}
+  virtual void visit_unmergeable_svalue (const unmergeable_svalue *) {}
+  virtual void visit_placeholder_svalue (const placeholder_svalue *) {}
+  virtual void visit_widening_svalue (const widening_svalue *) {}
+  virtual void visit_compound_svalue (const compound_svalue *) {}
+  virtual void visit_conjured_svalue (const conjured_svalue *) {}
+
+  virtual void visit_region (const region *) {}
 };
 
 /* svalue and its subclasses.
@@ -171,27 +171,27 @@ public:
    The class hierarchy looks like this (using indentation to show
    inheritance, and with kinds shown for the concrete subclasses):
 
-   svalue2
-     region_svalue2 (SK_REGION): a pointer to a region2
-     constant_svalue2 (SK_CONSTANT): a constant
-     unknown_svalue2 (SK_UNKNOWN): an unknowable value
-     poisoned_svalue2 (SK_POISONED): a unusable value (undefined)
-     setjmp_svalue2 (SK_SETJMP): a setjmp/longjmp buffer
-     initial2_svalue2 (SK_INITIAL): the initial value of a region2
-     unaryop_svalue2 (SK_UNARYOP): unary operation on another svalue2
-     binop_svalue2 (SK_BINOP): binary operation on two svalue2s
-     sub_svalue2 (SK_SUB): the result of accessing a subregion
-     unmergeable_svalue2 (SK_UNMERGEABLE): a value that is so interesting
+   svalue
+     region_svalue (SK_REGION): a pointer to a region
+     constant_svalue (SK_CONSTANT): a constant
+     unknown_svalue (SK_UNKNOWN): an unknowable value
+     poisoned_svalue (SK_POISONED): a unusable value (undefined)
+     setjmp_svalue (SK_SETJMP): a setjmp/longjmp buffer
+     initial_svalue (SK_INITIAL): the initial value of a region
+     unaryop_svalue (SK_UNARYOP): unary operation on another svalue
+     binop_svalue (SK_BINOP): binary operation on two svalues
+     sub_svalue (SK_SUB): the result of accessing a subregion
+     unmergeable_svalue (SK_UNMERGEABLE): a value that is so interesting
        from a control-flow perspective that it can inhibit state-merging
-     placeholder_svalue2 (SK_PLACEHOLDER): for use in selftests.
-     widening_svalue2 (SK_WIDENING): a merger of two svalues (possibly
+     placeholder_svalue (SK_PLACEHOLDER): for use in selftests.
+     widening_svalue (SK_WIDENING): a merger of two svalues (possibly
        in an iteration).
-     compound_svalue2 (SK_COMPOUND): a mapping of bit-ranges to svalues
-     conjured_svalue2 (SK_CONJURED): a value arising from a stmt.  */
+     compound_svalue (SK_COMPOUND): a mapping of bit-ranges to svalues
+     conjured_svalue (SK_CONJURED): a value arising from a stmt.  */
 
 /* An abstract base class representing a value held by a region of memory.  */
 
-class svalue2
+class svalue
 {
 public:
   /* An enum for discriminating between the different concrete subclasses
@@ -214,22 +214,22 @@ public:
    SK_CONJURED
   };
 
-  virtual ~svalue2 () {}
+  virtual ~svalue () {}
 
 #if 0
-  bool operator== (const svalue2 &other) const;
-  bool operator!= (const svalue2 &other) const { return !(*this == other); }
+  bool operator== (const svalue &other) const;
+  bool operator!= (const svalue &other) const { return !(*this == other); }
 #endif
 
   tree get_type () const { return m_type; }
 
   virtual enum kind get_kind () const = 0;
 
-  void print (const region_model2 &model,
+  void print (const region_model &model,
 	      pretty_printer *pp) const;
 
 #if 0
-  virtual void dump_dot_to_pp (const region_model2 &model,
+  virtual void dump_dot_to_pp (const region_model &model,
 			       pretty_printer *pp) const;
 #endif
 
@@ -237,50 +237,50 @@ public:
   void dump (bool simple=true) const;
   label_text get_desc (bool simple=true) const;
 
-  virtual const region_svalue2 *
-  dyn_cast_region_svalue2 () const { return NULL; }
-  virtual const constant_svalue2 *
-  dyn_cast_constant_svalue2 () const { return NULL; }
-  virtual const poisoned_svalue2 *
-  dyn_cast_poisoned_svalue2 () const { return NULL; }
-  virtual const setjmp_svalue2 *
-  dyn_cast_setjmp_svalue2 () const { return NULL; }
-  virtual const initial_svalue2 *
-  dyn_cast_initial_svalue2 () const { return NULL; }
-  virtual const unaryop_svalue2 *
-  dyn_cast_unaryop_svalue2 () const { return NULL; }
-  virtual const binop_svalue2 *
-  dyn_cast_binop_svalue2 () const { return NULL; }
-  virtual const sub_svalue2 *
-  dyn_cast_sub_svalue2 () const { return NULL; }
-  virtual const unmergeable_svalue2 *
-  dyn_cast_unmergeable_svalue2 () const { return NULL; }
-  virtual const widening_svalue2 *
-  dyn_cast_widening_svalue2 () const { return NULL; }
-  virtual const compound_svalue2 *
-  dyn_cast_compound_svalue2 () const { return NULL; }
-  virtual const conjured_svalue2 *
-  dyn_cast_conjured_svalue2 () const { return NULL; }
+  virtual const region_svalue *
+  dyn_cast_region_svalue () const { return NULL; }
+  virtual const constant_svalue *
+  dyn_cast_constant_svalue () const { return NULL; }
+  virtual const poisoned_svalue *
+  dyn_cast_poisoned_svalue () const { return NULL; }
+  virtual const setjmp_svalue *
+  dyn_cast_setjmp_svalue () const { return NULL; }
+  virtual const initial_svalue *
+  dyn_cast_initial_svalue () const { return NULL; }
+  virtual const unaryop_svalue *
+  dyn_cast_unaryop_svalue () const { return NULL; }
+  virtual const binop_svalue *
+  dyn_cast_binop_svalue () const { return NULL; }
+  virtual const sub_svalue *
+  dyn_cast_sub_svalue () const { return NULL; }
+  virtual const unmergeable_svalue *
+  dyn_cast_unmergeable_svalue () const { return NULL; }
+  virtual const widening_svalue *
+  dyn_cast_widening_svalue () const { return NULL; }
+  virtual const compound_svalue *
+  dyn_cast_compound_svalue () const { return NULL; }
+  virtual const conjured_svalue *
+  dyn_cast_conjured_svalue () const { return NULL; }
 
   tree maybe_get_constant () const;
-  const svalue2 *maybe_undo_cast () const;
-  const svalue2 *unwrap_any_unmergeable () const;
+  const svalue *maybe_undo_cast () const;
+  const svalue *unwrap_any_unmergeable () const;
 
-  const svalue2 *can_merge_p (const svalue2 *other,
-			      region_model2_manager *mgr,
-			      model2_merger *merger) const;
+  const svalue *can_merge_p (const svalue *other,
+			      region_model_manager *mgr,
+			      model_merger *merger) const;
 
   const complexity &get_complexity () const { return m_complexity; }
 
   virtual void accept (visitor *v) const  = 0;
 
-  bool live_p (const svalue2_set &live_svalues,
-	       const region_model2 *model) const;
-  virtual bool implicitly_live_p (const svalue2_set &live_svalues,
-				  const region_model2 *model) const;
+  bool live_p (const svalue_set &live_svalues,
+	       const region_model *model) const;
+  virtual bool implicitly_live_p (const svalue_set &live_svalues,
+				  const region_model *model) const;
 
  protected:
-  svalue2 (complexity c, tree type)
+  svalue (complexity c, tree type)
   : m_complexity (c), m_type (type)
   {}
 
@@ -289,14 +289,14 @@ public:
   tree m_type;
 };
 
-/* Concrete subclass of svalue2 representing a pointer value that points to
+/* Concrete subclass of svalue representing a pointer value that points to
    a known region  */
 
-class region_svalue2 : public svalue2
+class region_svalue : public svalue
 {
 public:
-  region_svalue2 (tree type, const region2 *reg)
-  : svalue2 (complexity (reg), type),
+  region_svalue (tree type, const region *reg)
+  : svalue (complexity (reg), type),
     m_reg (reg)
   {
     gcc_assert (m_reg != NULL);
@@ -305,34 +305,26 @@ public:
   enum kind get_kind () const FINAL OVERRIDE { return SK_REGION; }
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const region_svalue2 *
-  dyn_cast_region_svalue2 () const FINAL OVERRIDE { return this; }
+  const region_svalue *
+  dyn_cast_region_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
-  const region2 * get_pointee () const { return m_reg; }
+  const region * get_pointee () const { return m_reg; }
 
-#if 0
-  static void merge_values (const region_svalue2 &region_sval_a,
-			    const region_svalue2 &region_sval_b,
-			    svalue2_id *merged_sid,
-			    tree type,
-			    model_merger *merger);
-#endif
-
-  static tristate eval_condition (const region_svalue2 *lhs_ptr,
+  static tristate eval_condition (const region_svalue *lhs_ptr,
 				  enum tree_code op,
-				  const region_svalue2 *rhs_ptr);
+				  const region_svalue *rhs_ptr);
 
  private:
-  const region2 *m_reg;
+  const region *m_reg;
 };
 
 } // namespace ana
@@ -340,20 +332,20 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const region_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const region_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_REGION;
+  return sval->get_kind () == svalue::SK_REGION;
 }
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing a specific constant value.  */
+/* Concrete subclass of svalue representing a specific constant value.  */
 
-class constant_svalue2 : public svalue2
+class constant_svalue : public svalue
 {
 public:
-  constant_svalue2 (tree cst_expr)
-  : svalue2 (complexity (1, 1), TREE_TYPE (cst_expr)), m_cst_expr (cst_expr)
+  constant_svalue (tree cst_expr)
+  : svalue (complexity (1, 1), TREE_TYPE (cst_expr)), m_cst_expr (cst_expr)
   {
     gcc_assert (cst_expr);
     gcc_assert (CONSTANT_CLASS_P (cst_expr));
@@ -362,26 +354,19 @@ public:
   enum kind get_kind () const FINAL OVERRIDE { return SK_CONSTANT; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const constant_svalue2 *
-  dyn_cast_constant_svalue2 () const FINAL OVERRIDE { return this; }
+  const constant_svalue *
+  dyn_cast_constant_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
   tree get_constant () const { return m_cst_expr; }
 
-#if 0
-  static void merge_values (const constant_svalue2 &cst_sval_a,
-			    const constant_svalue2 &cst_sval_b,
-			    svalue2_id *merged_sid,
-			    model_merger *merger);
-#endif
-
-  static tristate eval_condition (const constant_svalue2 *lhs,
+  static tristate eval_condition (const constant_svalue *lhs,
 				  enum tree_code op,
-				  const constant_svalue2 *rhs);
+				  const constant_svalue *rhs);
 
  private:
   tree m_cst_expr;
@@ -392,23 +377,23 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const constant_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const constant_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_CONSTANT;
+  return sval->get_kind () == svalue::SK_CONSTANT;
 }
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing an unknowable value, the bottom
-   value when thinking of svalue2s as a lattice.
-   This is a singleton (w.r.t. its manager): there is a single unknown_svalue2
+/* Concrete subclass of svalue representing an unknowable value, the bottom
+   value when thinking of svalues as a lattice.
+   This is a singleton (w.r.t. its manager): there is a single unknown_svalue
    per type.  Self-comparisons of such instances yield "unknown".  */
 
-class unknown_svalue2 : public svalue2
+class unknown_svalue : public svalue
 {
 public:
-  unknown_svalue2 (tree type)
-  : svalue2 (complexity (1, 1), type)
+  unknown_svalue (tree type)
+  : svalue (complexity (1, 1), type)
   {}
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_UNKNOWN; }
@@ -434,13 +419,13 @@ enum poison_kind
 
 extern const char *poison_kind_to_str (enum poison_kind);
 
-/* Concrete subclass of svalue2 representing a value that should not
+/* Concrete subclass of svalue representing a value that should not
    be used (e.g. uninitialized memory, freed memory).  */
 
-class poisoned_svalue2 : public svalue2
+class poisoned_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of poisoned_svalue2.  */
+  /* A support class for uniquifying instances of poisoned_svalue.  */
   struct key_t
   {
     key_t (enum poison_kind kind, tree type)
@@ -469,14 +454,14 @@ public:
     tree m_type;
   };
 
-  poisoned_svalue2 (enum poison_kind kind, tree type)
-  : svalue2 (complexity (1, 1), type), m_kind (kind) {}
+  poisoned_svalue (enum poison_kind kind, tree type)
+  : svalue (complexity (1, 1), type), m_kind (kind) {}
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_POISONED; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const poisoned_svalue2 *
-  dyn_cast_poisoned_svalue2 () const FINAL OVERRIDE { return this; }
+  const poisoned_svalue *
+  dyn_cast_poisoned_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
@@ -491,27 +476,27 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const poisoned_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const poisoned_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_POISONED;
+  return sval->get_kind () == svalue::SK_POISONED;
 }
 
-template <> struct default_hash_traits<poisoned_svalue2::key_t>
-: public member_function_hash_traits<poisoned_svalue2::key_t>
+template <> struct default_hash_traits<poisoned_svalue::key_t>
+: public member_function_hash_traits<poisoned_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing buffers for setjmp/sigsetjmp,
+/* Concrete subclass of svalue representing buffers for setjmp/sigsetjmp,
    so that longjmp/siglongjmp can potentially "return" to an entirely
    different function.  */
 
-class setjmp_svalue2 : public svalue2
+class setjmp_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of poisoned_svalue2.  */
+  /* A support class for uniquifying instances of poisoned_svalue.  */
   struct key_t
   {
     key_t (const setjmp_record &record, tree type)
@@ -540,16 +525,16 @@ public:
     tree m_type;
   };
 
-  setjmp_svalue2 (const setjmp_record &setjmp_record,
+  setjmp_svalue (const setjmp_record &setjmp_record,
 		  tree type)
-  : svalue2 (complexity (1, 1), type), m_setjmp_record (setjmp_record)
+  : svalue (complexity (1, 1), type), m_setjmp_record (setjmp_record)
   {}
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_SETJMP; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const setjmp_svalue2 *
-  dyn_cast_setjmp_svalue2 () const FINAL OVERRIDE { return this; }
+  const setjmp_svalue *
+  dyn_cast_setjmp_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
@@ -566,20 +551,20 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const setjmp_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const setjmp_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_SETJMP;
+  return sval->get_kind () == svalue::SK_SETJMP;
 }
 
-template <> struct default_hash_traits<setjmp_svalue2::key_t>
-: public member_function_hash_traits<setjmp_svalue2::key_t>
+template <> struct default_hash_traits<setjmp_svalue::key_t>
+: public member_function_hash_traits<setjmp_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing the initial value of a
+/* Concrete subclass of svalue representing the initial value of a
    specific region.
 
    FIXME: trying this approach:
@@ -588,11 +573,11 @@ namespace ana {
    Hence as soon as we have a call to an unknown function, all previously
    unmodelled globals become implicitly "unknown" rathen than "initial".  */
 
-class initial_svalue2 : public svalue2
+class initial_svalue : public svalue
 {
 public:
-  initial_svalue2 (tree type, const region2 *reg)
-  : svalue2 (complexity (reg), type), m_reg (reg)
+  initial_svalue (tree type, const region *reg)
+  : svalue (complexity (reg), type), m_reg (reg)
   {
     gcc_assert (m_reg != NULL);
   }
@@ -600,33 +585,25 @@ public:
   enum kind get_kind () const FINAL OVERRIDE { return SK_INITIAL; }
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const initial_svalue2 *
-  dyn_cast_initial_svalue2 () const FINAL OVERRIDE { return this; }
+  const initial_svalue *
+  dyn_cast_initial_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
-  const region2 * get_region () const { return m_reg; }
-
-#if 0
-  static void merge_values (const initial_svalue2 &region_sval_a,
-			    const initial_svalue2 &region_sval_b,
-			    svalue2_id *merged_sid,
-			    tree type,
-			    model_merger *merger);
-#endif
+  const region * get_region () const { return m_reg; }
 
  private:
-  const region2 *m_reg;
+  const region *m_reg;
 };
 
 } // namespace ana
@@ -634,23 +611,23 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const initial_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const initial_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_INITIAL;
+  return sval->get_kind () == svalue::SK_INITIAL;
 }
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing a unary operation on
-   another svalue2s (e.g. a cast).  */
+/* Concrete subclass of svalue representing a unary operation on
+   another svalues (e.g. a cast).  */
 
-class unaryop_svalue2 : public svalue2
+class unaryop_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of unaryop_svalue2.  */
+  /* A support class for uniquifying instances of unaryop_svalue.  */
   struct key_t
   {
-    key_t (tree type, enum tree_code op, const svalue2 *arg)
+    key_t (tree type, enum tree_code op, const svalue *arg)
     : m_type (type), m_op (op), m_arg (arg)
     {}
 
@@ -677,25 +654,25 @@ public:
 
     tree m_type;
     enum tree_code m_op;
-    const svalue2 *m_arg;
+    const svalue *m_arg;
   };
 
-  unaryop_svalue2 (tree type, enum tree_code op, const svalue2 *arg)
-  : svalue2 (complexity (arg), type), m_op (op), m_arg (arg)
+  unaryop_svalue (tree type, enum tree_code op, const svalue *arg)
+  : svalue (complexity (arg), type), m_op (op), m_arg (arg)
   {
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_UNARYOP; }
-  const unaryop_svalue2 *
-  dyn_cast_unaryop_svalue2 () const FINAL OVERRIDE { return this; }
+  const unaryop_svalue *
+  dyn_cast_unaryop_svalue () const FINAL OVERRIDE { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
@@ -704,11 +681,11 @@ public:
 
 
   enum tree_code get_op () const { return m_op; }
-  const svalue2 *get_arg () const { return m_arg; }
+  const svalue *get_arg () const { return m_arg; }
 
  private:
   enum tree_code m_op;
-  const svalue2 *m_arg;
+  const svalue *m_arg;
 };
 
 } // namespace ana
@@ -716,30 +693,30 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const unaryop_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const unaryop_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_UNARYOP;
+  return sval->get_kind () == svalue::SK_UNARYOP;
 }
 
-template <> struct default_hash_traits<unaryop_svalue2::key_t>
-: public member_function_hash_traits<unaryop_svalue2::key_t>
+template <> struct default_hash_traits<unaryop_svalue::key_t>
+: public member_function_hash_traits<unaryop_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing a binary operation of
-   two svalue2s.  */
+/* Concrete subclass of svalue representing a binary operation of
+   two svalues.  */
 
-class binop_svalue2 : public svalue2
+class binop_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of binop_svalue2.  */
+  /* A support class for uniquifying instances of binop_svalue.  */
   struct key_t
   {
     key_t (tree type, enum tree_code op,
-	   const svalue2 *arg0, const svalue2 *arg1)
+	   const svalue *arg0, const svalue *arg1)
     : m_type (type), m_op (op), m_arg0 (arg0), m_arg1 (arg1)
     {}
 
@@ -768,13 +745,13 @@ public:
 
     tree m_type;
     enum tree_code m_op;
-    const svalue2 *m_arg0;
-    const svalue2 *m_arg1;
+    const svalue *m_arg0;
+    const svalue *m_arg1;
   };
 
-  binop_svalue2 (tree type, enum tree_code op,
-		 const svalue2 *arg0, const svalue2 *arg1)
-  : svalue2 (complexity::from_pair (arg0->get_complexity (),
+  binop_svalue (tree type, enum tree_code op,
+		 const svalue *arg0, const svalue *arg1)
+  : svalue (complexity::from_pair (arg0->get_complexity (),
 				    arg1->get_complexity ()),
 	     type),
     m_op (op), m_arg0 (arg0), m_arg1 (arg1)
@@ -782,19 +759,19 @@ public:
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_BINOP; }
-  virtual const binop_svalue2 *dyn_cast_binop_svalue2 () const { return this; }
+  virtual const binop_svalue *dyn_cast_binop_svalue () const { return this; }
 
   void accept (visitor *v) const FINAL OVERRIDE;
 
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
   enum tree_code get_op () const { return m_op; }
-  const svalue2 *get_arg0 () const { return m_arg0; }
-  const svalue2 *get_arg1 () const { return m_arg1; }
+  const svalue *get_arg0 () const { return m_arg0; }
+  const svalue *get_arg1 () const { return m_arg1; }
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
@@ -802,14 +779,14 @@ public:
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
 #if 0
-  const binop_svalue2 *
-  dyn_cast_binop_svalue2 () const FINAL OVERRIDE { return this; }
+  const binop_svalue *
+  dyn_cast_binop_svalue () const FINAL OVERRIDE { return this; }
 #endif
 
  private:
   enum tree_code m_op;
-  const svalue2 *m_arg0;
-  const svalue2 *m_arg1;
+  const svalue *m_arg0;
+  const svalue *m_arg1;
 };
 
 } // namespace ana
@@ -817,31 +794,31 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const binop_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const binop_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_BINOP;
+  return sval->get_kind () == svalue::SK_BINOP;
 }
 
-template <> struct default_hash_traits<binop_svalue2::key_t>
-: public member_function_hash_traits<binop_svalue2::key_t>
+template <> struct default_hash_traits<binop_svalue::key_t>
+: public member_function_hash_traits<binop_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing the result of accessing a subregion
-   of another svalue2 (the value of a component/field of a struct, or an element
+/* Concrete subclass of svalue representing the result of accessing a subregion
+   of another svalue (the value of a component/field of a struct, or an element
    from an array).
    FIXME: do we want to split this into two different classes for that?  */
 
-class sub_svalue2 : public svalue2
+class sub_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of sub_svalue2.  */
+  /* A support class for uniquifying instances of sub_svalue.  */
   struct key_t
   {
-    key_t (tree type, const svalue2 *parent_svalue, const region2 *subregion)
+    key_t (tree type, const svalue *parent_svalue, const region *subregion)
     : m_type (type), m_parent_svalue (parent_svalue), m_subregion (subregion)
     {}
 
@@ -867,35 +844,35 @@ public:
     bool is_empty () const { return m_type == NULL_TREE; }
 
     tree m_type;
-    const svalue2 *m_parent_svalue;
-    const region2 *m_subregion;
+    const svalue *m_parent_svalue;
+    const region *m_subregion;
   };
-  sub_svalue2 (tree type, const svalue2 *parent_svalue,
-	       const region2 *subregion);
+  sub_svalue (tree type, const svalue *parent_svalue,
+	       const region *subregion);
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_SUB; }
-  const sub_svalue2 *dyn_cast_sub_svalue2 () const FINAL OVERRIDE
+  const sub_svalue *dyn_cast_sub_svalue () const FINAL OVERRIDE
   {
     return this;
   }
   void accept (visitor *v) const FINAL OVERRIDE;
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_parent () const { return m_parent_svalue; }
-  const region2 *get_subregion () const { return m_subregion; }
+  const svalue *get_parent () const { return m_parent_svalue; }
+  const region *get_subregion () const { return m_subregion; }
 
  private:
-  const svalue2 *m_parent_svalue;
-  const region2 *m_subregion;
+  const svalue *m_parent_svalue;
+  const region *m_subregion;
 };
 
 } // namespace ana
